# Generated by Django 3.0.4 on 2020-04-16 16:31

from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('auth', '0011_update_proxy_permissions'),
    ]

    operations = [
        migrations.CreateModel(
            name='User',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('password', models.CharField(max_length=128, verbose_name='password')),
                ('last_login', models.DateTimeField(blank=True, null=True, verbose_name='last login')),
                ('is_superuser', models.BooleanField(default=False, help_text='Designates that this user has all permissions without explicitly assigning them.', verbose_name='superuser status')),
                ('phone', models.CharField(max_length=40, unique=True)),
                ('nom_complet', models.CharField(blank=True, max_length=30)),
                ('email', models.EmailField(blank=True, max_length=254, null=True, verbose_name='Email')),
                ('adresse', models.CharField(blank=True, max_length=255, null=True)),
                ('is_active', models.BooleanField(default=True)),
                ('is_staff', models.BooleanField(default=True)),
                ('date_joined', models.DateTimeField(default=django.utils.timezone.now)),
                ('groups', models.ManyToManyField(blank=True, help_text='The groups this user belongs to. A user will get all permissions granted to each of their groups.', related_name='user_set', related_query_name='user', to='auth.Group', verbose_name='groups')),
                ('user_permissions', models.ManyToManyField(blank=True, help_text='Specific permissions for this user.', related_name='user_set', related_query_name='user', to='auth.Permission', verbose_name='user permissions')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Client',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('Date', models.DateTimeField(default=django.utils.timezone.now)),
                ('Nom_Complet', models.CharField(max_length=30)),
                ('Telephone', models.CharField(max_length=30)),
                ('Adresse', models.CharField(max_length=30)),
                ('id_user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='api.User')),
            ],
        ),
        migrations.CreateModel(
            name='Produit',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('Date', models.DateTimeField(default=django.utils.timezone.now)),
                ('Produit', models.CharField(max_length=30)),
                ('Prix', models.IntegerField(verbose_name='prix')),
                ('Quantite', models.IntegerField(verbose_name='quantite')),
                ('file', models.FileField(blank=True, null=True, upload_to='')),
                ('id_userv', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='api.User')),
            ],
        ),
        migrations.CreateModel(
            name='Employe',
            fields=[
                ('user_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='api.User')),
                ('salaire', models.IntegerField(blank=True, null=True, verbose_name='Salaire')),
            ],
            options={
                'abstract': False,
            },
            bases=('api.user', models.Model),
        ),
        migrations.CreateModel(
            name='Vente',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('Date', models.DateTimeField(default=django.utils.timezone.now)),
                ('Quantite', models.IntegerField(verbose_name='Quantite vendu')),
                ('Prix', models.IntegerField(default=1, verbose_name='prix')),
                ('Designation', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='vente', to='api.Produit')),
                ('client', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='api.Client')),
                ('id_userv', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='api.User')),
            ],
        ),
        migrations.CreateModel(
            name='Sortie',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('Prix_Unitaire', models.IntegerField(default=10, verbose_name='prix')),
                ('Quantite', models.IntegerField(verbose_name='quantite')),
                ('type', models.CharField(default='Sortie', max_length=30)),
                ('Produit', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='sortie', to='api.Produit')),
                ('client', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='api.Client')),
                ('id_users', models.ForeignKey(default='', on_delete=django.db.models.deletion.CASCADE, to='api.User')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Pret',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('Date', models.DateTimeField(default=django.utils.timezone.now)),
                ('Telephone', models.CharField(max_length=30)),
                ('Designation', models.CharField(max_length=30)),
                ('Montant', models.IntegerField(default=10, verbose_name='prix')),
                ('Client', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='api.Client')),
                ('id_userp', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='api.User')),
            ],
        ),
        migrations.CreateModel(
            name='Historique',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('Prix_Unitaire', models.IntegerField(default=10, verbose_name='prix')),
                ('Quantite', models.IntegerField(verbose_name='quantite')),
                ('type', models.CharField(default='', max_length=30)),
                ('id_users', models.ForeignKey(default='', on_delete=django.db.models.deletion.CASCADE, to='api.User')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Fournisseur',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('Date', models.DateTimeField(default=django.utils.timezone.now)),
                ('Nom_Complet', models.CharField(max_length=30)),
                ('Telephone', models.CharField(max_length=30)),
                ('Adresse', models.CharField(max_length=30)),
                ('id_user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='api.User')),
            ],
        ),
        migrations.CreateModel(
            name='Entree',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('Prix_Unitaire', models.IntegerField(default=10, verbose_name='prix')),
                ('Quantite', models.IntegerField(verbose_name='quantite')),
                ('type', models.CharField(default='Entree', max_length=30)),
                ('Produit', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='entree', to='api.Produit')),
                ('fournisseur', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='api.Fournisseur')),
                ('id_users', models.ForeignKey(default='', on_delete=django.db.models.deletion.CASCADE, to='api.User')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Depense',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('Date', models.DateTimeField(default=django.utils.timezone.now)),
                ('Designation', models.CharField(max_length=30)),
                ('Prix', models.IntegerField(default=10, verbose_name='prix')),
                ('id_userd', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='api.User')),
            ],
        ),
        migrations.CreateModel(
            name='Commande',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('Quantite', models.IntegerField(verbose_name='quantite')),
                ('Client', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='api.Client')),
                ('Produit', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='order', to='api.Produit')),
                ('id_user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='api.User')),
            ],
        ),
        migrations.CreateModel(
            name='Boutique',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('Nom_Gerant', models.CharField(blank=True, max_length=100)),
                ('Nom_Boutique', models.CharField(blank=True, max_length=100)),
                ('Telephone', models.CharField(max_length=14, unique=True)),
                ('Email', models.EmailField(blank=True, max_length=254)),
                ('Adresse', models.CharField(blank=True, max_length=30)),
                ('id_user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='boutique', to='api.User')),
            ],
        ),
    ]
